1.28.104 API not working

Forum for questions and support relating to the 1.28.x releases only.
Post Reply
lvthunder
Posts: 13
Joined: Wed Mar 04, 2009 9:17 pm

1.28.104 API not working

Post by lvthunder » Fri Sep 25, 2015 11:54 pm

I want to run the beta of zmninja so I need the API to work. I have two zm servers. One is running Ubuntu 14 and the other 15. When I go to http://localhost/zm/api/host/getVersion.json I get a file not found. When I go to http://localhost/zm/api I get this error on both of them.

Code: Select all

Warning: mkdir(): Permission denied in /usr/share/zoneminder/www/api/lib/Cake/Cache/Engine/FileEngine.php on line 379

Warning: _cake_core_ cache was unable to write 'cake_dev_en-us' to File cache in /usr/share/zoneminder/www/api/lib/Cake/Cache/Cache.php on line 323

Warning: /usr/share/zoneminder/www/api/app/tmp/cache/persistent/ is not writable in /usr/share/zoneminder/www/api/lib/Cake/Cache/Engine/FileEngine.php on line 384

Fatal error: Uncaught exception 'CacheException' with message 'Cache engine _cake_core_ is not properly configured.' in /usr/share/zoneminder/www/api/lib/Cake/Cache/Cache.php:181 Stack trace: #0 /usr/share/zoneminder/www/api/lib/Cake/Cache/Cache.php(151): Cache::_buildEngine('_cake_core_') #1 /usr/share/zoneminder/www/api/app/Config/core.php(375): Cache::config('_cake_core_', Array) #2 /usr/share/zoneminder/www/api/lib/Cake/Core/Configure.php(72): include('/usr/share/zone...') #3 /usr/share/zoneminder/www/api/lib/Cake/bootstrap.php(175): Configure::bootstrap(true) #4 /usr/share/zoneminder/www/api/app/webroot/index.php(94): include('/usr/share/zone...') #5 /usr/share/zoneminder/www/api/index.php(41): require('/usr/share/zone...') #6 {main} thrown in /usr/share/zoneminder/www/api/lib/Cake/Cache/Cache.php on line 181

bbunge
Posts: 2706
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: 1.28.104 API not working

Post by bbunge » Fri Sep 25, 2015 11:56 pm

Check a week or so back in this forum. I have provided a procedure to get the API to work.

bb

bbunge
Posts: 2706
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: 1.28.104 API not working

Post by bbunge » Sat Sep 26, 2015 12:05 am


User avatar
knight-of-ni
Posts: 2332
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: 1.28.104 API not working

Post by knight-of-ni » Sat Sep 26, 2015 1:52 pm

You didn't state how you came to get the development snapshot zoneminder 1.28.104 installed on your system.
We are up to 1.28.106 now and we've made changes since the version you are running, which should make the API work out of the box (if you are running a packaged version of zoneminder).

You should upgrade to 1.28.106 if it is available.


On a side note, we've created a new forum specifically for the mobile app:
http://www.zoneminder.com/forums/viewforum.php?f=33

But I don't know if Kyle has got the permissions set up right. I need someone with a normal user account to try and post in there.
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

User avatar
asker
Posts: 1419
Joined: Sun Mar 01, 2015 12:12 pm

Re: 1.28.104 API not working

Post by asker » Sat Sep 26, 2015 2:34 pm

knnniggett wrote:
On a side note, we've created a new forum specifically for the mobile app:
http://www.zoneminder.com/forums/viewforum.php?f=33

But I don't know if Kyle has got the permissions set up right. I need someone with a normal user account to try and post in there.
It doesn't work knnniggett. I can't view that forum, let alone post. Screenshot attached:

Image
Please don't ask me questions via PM. Feel free to post in the forums or Github

My collection of ZoneMinder learnings:
https://wiki.zoneminder.com/Various_ZM_thoughts

bbunge
Posts: 2706
Joined: Mon Mar 26, 2012 11:40 am
Location: Pennsylvania

Re: 1.28.104 API not working

Post by bbunge » Sat Sep 26, 2015 6:27 pm

The PPA-Master for Ubuntu 14.04 is still at 1.28.104

lvthunder
Posts: 13
Joined: Wed Mar 04, 2009 9:17 pm

Re: 1.28.104 API not working

Post by lvthunder » Sun Sep 27, 2015 1:54 am

Yes that is how I got it.

On another note thanks bbunge I got the API working on both of them.

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests